import static groovyx.gpars.GParsPool.withPool

def tickers = ["AAPL", "AMGN", "AMZN", "BAC", "BMY",
"CAT", "C", "CMCSA", "CSCO", "CVX", "DELL", "DIS", "DOW", "EMC", "FDX", "GD", 
"GE", "GOOG", "HAL", "HNZ", "HPQ", "IBM", "INTC", "JPM", "KFT", "LMT", "MET", 
"MO", "MSFT", "NKE", "NSC", "ORCL", "PFE", "RTN", "S", "SO","TXN", "USB", 
"VZ", "WMT"]

Time.code {
  println tickers.collect { [it, YahooFinance.getPrice(it)] }.inject(["", 0]) { r, e -> r[1] > e[1] ? r : e }
}

Time.code {
  withPool {
    println tickers.parallel.map { [it, YahooFinance.getPrice(it)] }.reduce {r, e -> r[1] > e[1] ? r : e }
  }
}

Time.code {
  withPool (40) {
    println tickers.parallel.map { [it, YahooFinance.getPrice(it)] }.reduce {r, e -> r[1] > e[1] ? r : e }
  }
}